/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
({
	// Reports Controller
	'reloadToShowArchived': "Do you wish to reload the current report to show archived artifacts?",
	'reloadToHideArchived': "Do you wish to reload the current report to hide archived artifacts?",
	
	// Reports View
	'createReport': "Create Report",
	'myReports': "My Reports",
	'sharedReports': "Shared Reports",
	'admin': "Admin",
	'report': "Report",
	'newReport': "New Report",
	'dataWarehouseAdministration': "Data Warehouse Administration",
	'reportWithName': "Report: ${0}", // ${0} is the name of the report
	'errorWithMessage': "Error invoking service; message: ${0}", // ${0} is the message string from the server
	
	// Admin Viewer
	'needSnapshotSelected': "Need a snapshot selected",
	'requestSubmitted': "Request submitted.",
	'waitingForResponse': "Waiting for response.",
	'checkActiveServices': "Check the Active Services in Admin Page for status.",
	'responseReceived': "Response received.",
	'lastRequestSucceeded': "Last request succeeded.",
	'errorInResponse': "Error in response.",
	'lastRequestFailed': "Last request failed.",
	'schemaDatabaseName': "Schema Database Name: ${0}", // ${0} is the database name of the schema
	'schemaVersion': "Schema Version:       ${0}", // ${0} is the version number of the schema
	'tableLogicalName': "Table Logical Name:",
	'tableDatabaseName': "Table Database Name:",
	'fieldLogicalName': "Field Logical Name",
	'fieldDatabaseName': "Field Database Name",
	'fieldLogicalType': "Field Logical Type",
	'fieldDatabaseType': "Field Database Type",
	'updateAllSnapshotData': "Update All Snapshot Data",
	'updateSnapshotData': "Update Snapshot Data",
	'listAllTables': "List All Tables",
	
	// Admin Navigator
	'administerDataWarehouse': "Administer Data Warehouse",
	
	// Folder Widget
	'newFolderEllipsis': "New Folder...",
	'rename': "Rename",
	'deleteMessage': "Delete",
	'newName': "New name:",
	'invalidName': "Invalid name entered.",
	'newFolderName': "New folder name:",
	'confirmDeleteFolder': "Are you sure you wish to delete this folder and all the reports in it?",
	
	// Include Archived
	'includeArchived': "Include Archived",
	
	// New Folder Dialog
	'newFolder': "New Folder",
	'error': "Error: ${0}", // ${0} is the error string from the server
	'ok': "OK",
	'cancel': "Cancel",
	'nameColon': "Name:",
	'teamAreaColon': "Team Area:",
	
	// Query Widget
	'makeDefaultReport': "Make Default Report",
	'confirmDelete': "Are you sure you wish to delete this report?",
	'newDefaultReport': "${0} is now the default report.", // ${0} is the name of the report
	
	// Tab Charts
	'errorRetrievingChart': "Error retrieving chart: ${0}", // ${0} is the error string from the server
	
	// New Report Editor
	'reportTitle': "Report",
	'name': "Name:",
	'description': "Description:",
	'folder': "Folder:",
	'template': "Template:",
	'save': "Save",
	
	// Reports Welcome
	'gettingStarted': "To get started, view an existing report by selecting it from the left panel.",
	'welcomeToReports': "Welcome to Reports",
	'toGetStarted': "To get started, ${0}create a new report${1} or view an existing report by selecting it from the left panel.", // ${0} and ${1} are HTML markup for a link begin/end pair
	
	// Report Viewer
	'loadingReport': "Loading Report",
	'loading': "Loading...",
	'anErrorOccurred': "An error occurred while loading the report: ${0}", // ${0} is the error string from the server
	
	// Helpers
	'selected': "${0} selected", // ${0} is the number of items selected
	'ofSelected': "${0} of ${1} selected", // ${0} is the number of items selected, ${1} is the total number of items
	'noSelection': "(No selection)",
	'unknownWidgetType': "Unknown widget type for ${0}", // ${0} is the parameter name
	'run': "Run",
	'selectAll': "Select All",
	'deselectAll': "Deselect All",
	'currentContributor': "Current Contributor",
	'currentIteration': "Current Iteration",
	'myTeamAreas': "My Team Areas",
	'yes': "Yes",
	'no': "No",
	'thisIsDefault': "This is now the default report.",
	'enterRequiredValues': "Please enter values for all required parameters",
	'pleaseEnterName': "Please enter a name.",
	'clickToEdit': "Click to Edit Parameters",
	'parenthesisSelected': "(${0} items selected)" // ${0} is the number of items selected

})
